Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Typedefs | Functions
single.hpp File Reference

## Classes
struct | ranges::single_view< T >
struct | ranges::views::single_fn

## Typedefs
template<typename T >
using | ranges::cpp20::single_view = ranges::single_view< T >

## Functions
template<class T >
| ranges::single_view (T &&) -> single_view< detail::decay_t< T >>

## Typedef Documentation

## ◆ single_view

template<typename T >

using ranges::cpp20::single_view = typedef ranges::single_view<T>

Precondition
  requires `std::is_object<T>::value` //